=== debian/changelog ===
ros-indigo-pcl-ros (1.2.9-0trusty) trusty; urgency=high



 -- Paul Bovbel <paul@bovbel.com>  Tue, 03 Apr 2018 15:00:00 -0000

ros-indigo-pcl-ros (1.2.8-0trusty) trusty; urgency=high

  * update to use non deprecated pluginlib macro
  * Install xml files declaring nodelets
    https://github.com/ros-perception/perception_pcl/commit/f81cded18b4f6d398b460a36c953fe6620a02bd6#commitcomment-21871201
    @scottnothing Thanks!
  * Fix syntax of nodelet manifest file
    By splitting files for each library.
    Close #131 <https://github.com/ros-perception/perception_pcl/issues/131>
  * Merge pull request #114 <https://github.com/ros-perception/perception_pcl/issues/114> from dpiet/indigo-devel
    Fixing typo in a ROS_INFO statement
  * Fixing typo in a ROS_INFO statement
    Statement was incorrectly informing user that PCD would be saved as binary instead of ASCII.
  * Merge cleanup broken library links
  * Contributors: Kentaro Wada, Mikael Arguedas, Paul Bovbel, dpiet, v4hn

 -- Paul Bovbel <paul@bovbel.com>  Mon, 02 Apr 2018 15:00:00 -0000

ros-indigo-pcl-ros (1.2.7-0trusty) trusty; urgency=high

  * Sync pcl_nodelets.xml from hydro to indigo
    Fixes to pass catkin lint -W1
  * Fixes #87 <https://github.com/ros-perception/perception_pcl/issues/87> for Indigo
  * Fixes #85 <https://github.com/ros-perception/perception_pcl/issues/85> for Indigo
  * Fixes #77 <https://github.com/ros-perception/perception_pcl/issues/77> and #80 <https://github.com/ros-perception/perception_pcl/issues/80> for indigo
  * Added option to save pointclouds in binary and binary compressed format
  * Contributors: Lucid One, Mitchell Wills

 -- Paul Bovbel <paul@bovbel.com>  Sun, 07 Jun 2015 15:00:00 -0000

ros-indigo-pcl-ros (1.2.6-0trusty) trusty; urgency=high



 -- Paul Bovbel <paul@bovbel.com>  Tue, 03 Feb 2015 15:00:00 -0000

ros-indigo-pcl-ros (1.2.5-0trusty) trusty; urgency=high



 -- Paul Bovbel <paul@bovbel.com>  Mon, 19 Jan 2015 15:00:00 -0000

ros-indigo-pcl-ros (1.2.4-0trusty) trusty; urgency=high



 -- Paul Bovbel <paul@bovbel.com>  Wed, 14 Jan 2015 15:00:00 -0000

ros-indigo-pcl-ros (1.2.3-0trusty) trusty; urgency=high

  * Update common.py
    Extended filter limits up to ±100000.0 in order to support intensity channel filtering.
  * Contributors: Dani Carbonell

 -- Paul Bovbel <paul@bovbel.com>  Fri, 09 Jan 2015 15:00:00 -0000

ros-indigo-pcl-ros (1.2.2-0trusty) trusty; urgency=high

  * Adding target_frame
    [Ability to specify frame in bag_to_pcd ](https://github.com/ros-perception/perception_pcl/issues/55)
  * Update pcl_nodelets.xml
    Included missing closing library tag.  This was causing the pcl/Filter nodelets below the missing nodelet tag to not be exported correctly.
  * Contributors: Matt Derry, Paul Bovbel, Ruffin

 -- Paul Bovbel <paul@bovbel.com>  Fri, 24 Oct 2014 15:00:00 -0000

ros-indigo-pcl-ros (1.2.1-0trusty) trusty; urgency=high

  * clean up merge
  * merge pull request #60 <https://github.com/ros-perception/perception_pcl/issues/60>
  * Contributors: Paul Bovbel

 -- Paul Bovbel <paul@bovbel.com>  Fri, 12 Sep 2014 15:00:00 -0000

ros-indigo-pcl-ros (1.2.0-0trusty) trusty; urgency=high

  * Updated maintainership
  * Fix TF2 support for bag_to_pcd #46 <https://github.com/ros-perception/perception_pcl/issues/46>
  * Use cmake_modules to find eigen on indigo #45 <https://github.com/ros-perception/perception_pcl/issues/45>

 -- Paul Bovbel <paul@bovbel.com>  Tue, 08 Apr 2014 15:00:00 -0000

ros-indigo-pcl-ros (1.1.7-0trusty) trusty; urgency=high

  * adding more uncaught config dependencies
  * adding FeatureConfig dependency too

 -- Paul Bovbel <paul@bovbel.com>  Thu, 19 Sep 2013 15:00:00 -0000

ros-indigo-pcl-ros (1.1.6-0trusty) trusty; urgency=high

  * add excplicit dependency on gencfg target

 -- Paul Bovbel <paul@bovbel.com>  Thu, 19 Sep 2013 15:00:00 -0000

ros-indigo-pcl-ros (1.1.5-0trusty) trusty; urgency=high

  * Updated package.xml's to use new libpcl-all rosdep rules
  * package.xml: tuned whitespaces
    This commit removes trailing whitespaces and makes the line with the license information in the package.xml bitwise match exactly the common license information line in most ROS packages.
    The trailing whitespaces were detected when providing a bitbake recipe in the meta-ros project (github.com/bmwcarit/meta-ros). In the recipe, the hash of the license line is declared and is used to check for changes in the license. For this recipe, it was not matching the common one.
    A related already merged commit is https://github.com/ros/std_msgs/pull/3 and a related pending commit is https://github.com/ros-perception/pcl_msgs/pull/1.

 -- Paul Bovbel <paul@bovbel.com>  Mon, 26 Aug 2013 15:00:00 -0000

ros-indigo-pcl-ros (1.1.4-0trusty) trusty; urgency=high

  * Fix a serialization error with point_cloud headers
  * Initialize shared pointers before use in part of the pcl_conversions
    Should address runtime errors reported in #29 <https://github.com/ros-perception/perception_pcl/issues/29>
  * Changed the default bounds on filters to -1000, 1000 from -5, 5 in common.py

 -- Paul Bovbel <paul@bovbel.com>  Mon, 22 Jul 2013 15:00:00 -0000

ros-indigo-pcl-ros (1.1.2-0trusty) trusty; urgency=high

  * Fixed missing package exports on pcl_conversions and others
  * Make find_package on Eigen and PCL REQUIRED

 -- Paul Bovbel <paul@bovbel.com>  Thu, 18 Jul 2013 15:00:00 -0000

ros-indigo-pcl-ros (1.1.1-0trusty) trusty; urgency=high

  * Add missing EIGEN define which caused failures on the farm

 -- Paul Bovbel <paul@bovbel.com>  Tue, 09 Jul 2013 15:00:00 -0000

ros-indigo-pcl-ros (1.1.0-0trusty) trusty; urgency=high

  * Add missing include in one of the installed headers
  * Refactors to use pcl-1.7
  * Use the PointIndices from pcl_msgs
  * Experimental changes to point_cloud.h
  * Fixes from converting from pcl-1.7, incomplete
  * Depend on pcl_conversions and pcl_msgs
  * bag_to_pcd: check return code of transformPointCloud()

