=== debian/control ===
Source: ros-indigo-pcl-ros
Section: misc
Priority: extra
Maintainer: Paul Bovbel <paul@bovbel.com>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, libpcl-1.7-all-dev, libvtk-java, python-vtk, ros-indigo-catkin, ros-indigo-cmake-modules, ros-indigo-dynamic-reconfigure, ros-indigo-genmsg, ros-indigo-nodelet, ros-indigo-nodelet-topic-tools, ros-indigo-pcl-conversions, ros-indigo-pcl-msgs, ros-indigo-pluginlib, ros-indigo-rosbag, ros-indigo-rosconsole, ros-indigo-roscpp, ros-indigo-roslib, ros-indigo-sensor-msgs, ros-indigo-std-msgs, ros-indigo-tf
Homepage: http://ros.org/wiki/perception_pcl
Standards-Version: 3.9.2

Package: ros-indigo-pcl-ros
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libeigen3-dev, libpcl-1.7-all, libpcl-1.7-all-dev, libvtk-java, python-vtk, ros-indigo-dynamic-reconfigure, ros-indigo-message-filters, ros-indigo-nodelet, ros-indigo-nodelet-topic-tools, ros-indigo-pcl-conversions, ros-indigo-pcl-msgs, ros-indigo-pluginlib, ros-indigo-rosbag, ros-indigo-roscpp, ros-indigo-sensor-msgs, ros-indigo-std-msgs, ros-indigo-tf
Description: PCL (Point Cloud Library) ROS interface stack.
 PCL-ROS is the preferred bridge for 3D applications involving n-D Point Clouds and 3D geometry processing in ROS.
